## org.eclipse.emf.cdo.session
Interface CDOSessionInvalidationEvent

All Superinterfaces:
  CDOEvent, CDOSessionEvent, org.eclipse.net4j.util.event.IEvent

    public interface CDOSessionInvalidationEvent

extends CDOSessionEvent

An event that is emitted to registered `listeners` of a `CDOSession` if `passive update` is enabled for the session.

Since:
  2.0
See Also:
  `CDOInvalidationNotification`, `CDOAdapterPolicy`

Field Summary
`static long` `LOCAL_ROLLBACK`

Method Summary
`java.util.Collection<CDOID>` `getDetachedObjects()` Returns a collection of the `CDOIDs` of the removed objects.
`java.util.Set<CDOIDAndVersion>` `getDirtyOIDs()` Returns a set of the `CDOIDs` and versions of the modified objects.
`java.util.Collection<CDOPackageUnit>` `getNewPackageUnits()` Returns a collection of the new `package units`.
`long` `getTimeStamp()` Returns the time stamp of the server transaction if this event was sent as a result of a successfully committed transaction or `LOCAL_ROLLBACK` if this event was sent due to a local rollback.
`CDOView` `getView()` Returns the transaction that was committed and thereby caused this event to be emitted if this transaction is local, or `null` if the transaction was remote.

Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionEvent
`getSession`

Methods inherited from interface org.eclipse.net4j.util.event.IEvent
`getSource`

Field Detail

### LOCAL_ROLLBACK

    static final long LOCAL_ROLLBACK

See Also:
  Constant Field Values

Method Detail

### getView

    CDOView getView()

  Returns the transaction that was committed and thereby caused this event to be emitted if this transaction is local, or `null` if the transaction was remote.

### getTimeStamp

    long getTimeStamp()

  Returns the time stamp of the server transaction if this event was sent as a result of a successfully committed transaction or `LOCAL_ROLLBACK` if this event was sent due to a local rollback.

### getDirtyOIDs

    java.util.Set<CDOIDAndVersion> getDirtyOIDs()

  Returns a set of the `CDOIDs` and versions of the modified objects.

### getDetachedObjects

    java.util.Collection<CDOID> getDetachedObjects()

  Returns a collection of the `CDOIDs` of the removed objects.

### getNewPackageUnits

    java.util.Collection<CDOPackageUnit> getNewPackageUnits()

  Returns a collection of the new `package units`.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.